VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Attributes | List of all members
KeyswitchInfo Struct Reference

KeyswitchInfo is the structure describing a key switch This structure is used by the method IKeyswitchController::getKeyswitchInfo. More...

`#include <ivstnoteexpression.h>`

## Public Attributes
KeyswitchTypeID | typeId
| see KeyswitchTypeID More...
String128 | title
| name of key switch (e.g. "Accentuation") More...
String128 | shortTitle
| short title (e.g. "Acc") More...
int32 | keyswitchMin
| associated main key switch min (value between [0, 127]) More...
int32 | keyswitchMax
| associated main key switch max (value between [0, 127]) More...
int32 | keyRemapped
int32 | unitId
| optional remapped key switch (default -1), the Plug-in could provide one remapped key for a key switch (allowing better location on the keyboard of the key switches) More...
int32 | flags
| not yet used (set to 0) More...

## Detailed Description

KeyswitchInfo is the structure describing a key switch This structure is used by the method IKeyswitchController::getKeyswitchInfo.

See also
  IKeyswitchController

## Member Data Documentation

KeyswitchTypeID typeId

see KeyswitchTypeID

String128 title

name of key switch (e.g. "Accentuation")

String128 shortTitle

short title (e.g. "Acc")

int32 keyswitchMin

associated main key switch min (value between [0, 127])

int32 keyswitchMax

associated main key switch max (value between [0, 127])

int32 keyRemapped

int32 unitId

optional remapped key switch (default -1), the Plug-in could provide one remapped key for a key switch (allowing better location on the keyboard of the key switches)

id of unit this key switch belongs to (see VST 3 Units), -1 means no unit used.

int32 flags

not yet used (set to 0)

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.